IF EXISTS ( SELECT * 
            FROM   sysobjects 
            WHERE  id = object_id(N'[dbo].[CP_Cbtes_Venc_Items_Ctrl]') 
                   and OBJECTPROPERTY(id, N'IsProcedure') = 1 )
BEGIN
    DROP PROCEDURE [dbo].[CP_Cbtes_Venc_Items_Ctrl] 
END
GO

CREATE PROCEDURE [dbo].[CP_Cbtes_Venc_Items_Ctrl]    
	@Id_Trans INT,
	@Fecha DATETIME
AS


DECLARE @Fecha_Tmp DATETIME

SELECT P.Descripcion_Detallada,CVT.Id_Tipo_Venc,CVT.Descripcion,@Fecha_Tmp AS Fecha_Venc,V.Cant_Dias_Gracia
    INTO #Venc_Temp
	FROM Cbtes_Items I, Productos P, Prod_Cli_Venc V, Clientes_Venc_Tipos CVT
	WHERE I.Id_Trans = @Id_Trans
	AND P.Id_Producto = I.Id_Producto
	AND V.Id_Producto = I.Id_Producto
	AND CVT.Id_Tipo_Venc = V.Id_Tipo_Venc
	AND NOT EXISTS (SELECT 1 FROM  Clientes_Venc CV WHERE CV.Id_Cliente = I.Id_Cliente 	AND CV.Id_Tipo_Venc = V.Id_Tipo_Venc)
	
INSERT INTO #Venc_Temp
SELECT P.Descripcion_Detallada,CVT.Id_Tipo_Venc,CVT.Descripcion,CV.Fecha AS Fecha_Venc ,V.Cant_Dias_Gracia
	FROM Cbtes_Items I, Productos P, Prod_Cli_Venc V, Clientes_Venc_Tipos CVT, Clientes_Venc CV
	WHERE I.Id_Trans = @Id_Trans
	AND P.Id_Producto = I.Id_Producto
	AND V.Id_Producto = I.Id_Producto
	AND CVT.Id_Tipo_Venc = V.Id_Tipo_Venc
	AND CV.Id_Cliente = I.Id_Cliente
	AND CV.Id_Tipo_Venc = V.Id_Tipo_Venc
	AND ISNULL(CV.Fecha,'19000101') + V.Cant_Dias_Gracia < @Fecha 

INSERT INTO #Venc_Temp
SELECT P.Descripcion_Detallada,CVT.Id_Tipo_Venc,CVT.Descripcion,@Fecha_Tmp AS Fecha_Venc, 0 AS Cant_Dias_Gracia
	FROM Cbtes_Items I, Productos P, Clientes_Venc_Tipos CVT, Clientes_Venc_Tipos_Flias V
	WHERE I.Id_Trans = @Id_Trans
	AND P.Id_Producto = I.Id_Producto
	AND V.Id_Familia = P.Id_Familia
	AND V.Id_Tipo_Venc = CVT.Id_Tipo_Venc
	AND NOT EXISTS (SELECT 1 FROM  Clientes_Venc CV WHERE CV.Id_Cliente = I.Id_Cliente 	AND CV.Id_Tipo_Venc = V.Id_Tipo_Venc)


INSERT INTO #Venc_Temp
SELECT P.Descripcion_Detallada,CVT.Id_Tipo_Venc,CVT.Descripcion,CV.Fecha AS Fecha_Venc ,0 AS Cant_Dias_Gracia
	FROM Cbtes_Items I, Productos P,  Clientes_Venc_Tipos CVT, Clientes_Venc CV, Clientes_Venc_Tipos_Flias V
	WHERE I.Id_Trans = @Id_Trans
	AND P.Id_Producto = I.Id_Producto
	AND CVT.Id_Tipo_Venc = V.Id_Tipo_Venc
	AND CV.Id_Cliente = I.Id_Cliente
	AND CV.Id_Tipo_Venc = CVT.Id_Tipo_Venc
	AND V.Id_Familia = P.Id_Familia
	AND V.Id_Tipo_Venc = CVT.Id_Tipo_Venc
	AND ISNULL(CV.Fecha,'19000101')   < @Fecha 

SELECT * FROM #Venc_Temp
